<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getGrowTime](./bitburner.ns.getgrowtime.md)

## NS.getGrowTime() method

Get the execution time of a grow() call.

**Signature:**

```typescript
getGrowTime(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of target server. |

**Returns:**

number

Returns the amount of time in milliseconds it takes to execute the grow Netscript function.

## Remarks

RAM cost: 0.05 GB

Returns the amount of time in milliseconds it takes to execute the grow Netscript function on the target server. The required time is increased by the security level of the target server and decreased by the player's hacking level.

